<mat-card-title class="text-center">Registro de un nuevo servicio virtual</mat-card-title>
<p></p>
<form role="form" autocomplete="off" [formGroup]="virtualServiceForm">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-4 col-12">
                <div class="container">
                    <mat-form-field >
                        <mat-label>
                        Cliente
                        </mat-label>
                        <input formControlName="client" matInput type="text" 
                        [matAutocomplete]="auto" />
                        <mat-autocomplete #auto="matAutocomplete">
                        <mat-option *ngFor="let item of filteredOptions" [value]="item">
                            {{item}}
                        </mat-option>
                        </mat-autocomplete>
                        <mat-error *ngIf="client.errors && 
                        (client.touched || client.dirty)">
                            <div *ngIf="client.errors?.maxlength">
                                Solo se permiten 100 caracteres
                            </div>
                            <div *ngIf="client.errors?.validacion">
                                {{ client.errors.validacion.message }}
                            </div>
                        </mat-error>
                    </mat-form-field> 
              
                </div>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Usuario de autenticación" 
                    formControlName="service_user">
                    <mat-error *ngIf="service_user.errors && 
                    (service_user.touched || service_user.dirty)">
                        <div *ngIf="service_user.errors?.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="service_user.errors?.validacion">
                            {{ service_user.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-sm-4 col-12">
                <mat-form-field class="example-full-width">
                  <input matInput [type]="showPassword ? 'text' : 'password'" 
                    placeholder="Contraseña" formControlName="password" 
                    value="  virtualService.password }}">
                    <mat-icon matSuffix (click)="showPassword = !showPassword">
                        <i class="material-icons">{{  showPassword ? 'visibility_off' : 'visibility' }}</i>
                    </mat-icon>
                    <mat-error *ngIf="password.errors?.validacion && 
                    (password.touched || password.dirty)">
                        <div *ngIf="password.errors?.validacion">
                            {{ password.errors.validacion.message }}
                        </div>
                    </mat-error>
              </mat-form-field>
              </div>
        </div>
        <br>
        <div class="row">
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Subject" formControlName="subject">
                    <mat-error *ngIf="subject.errors && 
                     (subject.touched || subject.dirty)">
                        <div *ngIf="subject.errors?.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="subject.errors?.validacion">
                            {{ subject.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
            <div class="col-sm-6 col-12">
                <mat-form-field class="example-full-width">
                  <input matInput type="text" placeholder="Nombre del servicio" 
                    formControlName="name_servicio">
                    <mat-error *ngIf="name_servicio.errors && 
                        (name_servicio.touched || name_servicio.dirty)">
                        <div *ngIf="name_servicio.errors.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="name_servicio.errors?.validacion">
                            {{ name_servicio.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>    
        </div>
        
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Estrategia" formControlName="service_strategy">
                    <mat-error *ngIf="service_strategy.errors && 
                    (service_strategy.touched || service_strategy.dirty)">
                        <div *ngIf="service_strategy.errors?.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="service_strategy.errors?.validacion">
                            {{ service_strategy.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <br>
        <div mat-dialog-actions class="pull-right">
            <button class="btn btn-danger btn-sm mat-button-base" mat-raised-button 
                matDialogClose (click)="cancelar()">
                <span class="mat-button-wrapper"><i class="material-icons">close</i> Cancelar</span>
            </button>
            <button type="submit" class="btn btn-primary btn-sm mat-button-base" mat-raised-button 
                (click)="save()">
                <span class="mat-button-wrapper"><i class="material-icons">save</i> Guardar</span>
            </button>
        </div>
    </div>
</form>